<html>
<head>
<title>Ogre::GLESTexturePtr Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLESTexturePtr.html">GLESTexturePtr</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLESTexturePtr Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLESTexturePtr" --><!-- doxytag: inherits="SharedPtr&lt; GLESTexture &gt;" -->
<p>Specialisation of <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to allow <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to be assigned to <a class="el" href="classOgre_1_1GLESTexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to GLESTexturePtr.">GLESTexturePtr</a>.  
 <a href="classOgre_1_1GLESTexturePtr.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGLESTexture_8h_source.html">OgreGLESTexture.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::GLESTexturePtr:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1GLESTexturePtr__inherit__graph.gif" border="0" usemap="#Ogre_1_1GLESTexturePtr_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1GLESTexturePtr_inherit__map" id="Ogre_1_1GLESTexturePtr_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1SharedPtr.html" title="Ogre::SharedPtr\&lt; GLESTexture \&gt;" alt="" coords="5,5,224,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1GLESTexturePtr-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESTexturePtr.html#a09c72b6fda60a0ec0d0d8eb061a55e01">GLESTexturePtr</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESTexturePtr.html#afd5fbfb2f6db1ef2997aa0716840ec29">GLESTexturePtr</a> (<a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a> *rep)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESTexturePtr.html#a5f9c0e883b0169f0b0177980554a37a8">GLESTexturePtr</a> (const <a class="el" href="classOgre_1_1GLESTexturePtr.html">GLESTexturePtr</a> &amp;r)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESTexturePtr.html#a271c761f457de0a0d64a1cf2d24e58a8">GLESTexturePtr</a> (const <a class="el" href="group__Resources.html#ga4697cc0c72aef3b488c7e058adf734ed">ResourcePtr</a> &amp;r)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESTexturePtr.html#a8e62ababe7f8e12a1d8ac78409c41dfe">GLESTexturePtr</a> (const <a class="el" href="classOgre_1_1TexturePtr.html">TexturePtr</a> &amp;r)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLESTexturePtr.html">GLESTexturePtr</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESTexturePtr.html#a9d587745ed50f5f01f245e5f66a1fa2c">operator=</a> (const <a class="el" href="group__Resources.html#ga4697cc0c72aef3b488c7e058adf734ed">ResourcePtr</a> &amp;r)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Operator used to convert a ResourcePtr to a <a class="el" href="classOgre_1_1GLESTexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to GLESTexturePtr.">GLESTexturePtr</a>.  <a href="#a9d587745ed50f5f01f245e5f66a1fa2c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLESTexturePtr.html">GLESTexturePtr</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESTexturePtr.html#a7183f3bed442d0d2fd569b161ee6b4ca">operator=</a> (const <a class="el" href="classOgre_1_1TexturePtr.html">TexturePtr</a> &amp;r)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Operator used to convert a <a class="el" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a> to a <a class="el" href="classOgre_1_1GLESTexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to GLESTexturePtr.">GLESTexturePtr</a>.  <a href="#a7183f3bed442d0d2fd569b161ee6b4ca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a6c7563f3047bcd454dffae2b297a87a1">operator*</a> () const</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a756cec152c2db605fe7424da7f8e879b">operator-&gt;</a> () const</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a2c3ed4a7b5574c4e53adec450fd537b0">get</a> () const</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#ac8d90e023455dc3299f48722e6068e4a">bind</a> (<a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a> *rep, <a class="el" href="group__General.html#ga3970484e048d1352a7e59b61186b5f2a">SharedPtrFreeMethod</a> inFreeMethod=<a class="el" href="group__General.html#gga3970484e048d1352a7e59b61186b5f2aadae32e4e84712917731325c903fa14dd">SPFM_DELETE</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Binds rep to the SharedPtr.  <a href="#ac8d90e023455dc3299f48722e6068e4a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#acd2b97578b72dd4abc33471a93ca4b91">unique</a> () const</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a29e90ed7b4339cce1cc7e6be919e78bb">useCount</a> () const</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a21c3410c03ec3a4647c7aaa8e59d535d">useCountPointer</a> () const</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a15e055008751a7c20bdde38662d5f0a1">getPointer</a> () const</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga3970484e048d1352a7e59b61186b5f2a">SharedPtrFreeMethod</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a2d8365d61e610b98e0d36d514ab29017">freeMethod</a> () const</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a8a223db784efd7aa766792649de2f2a0">isNull</a> (void) const</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#ae23c79e49621afdb17fc32f30519859f">setNull</a> (void)</td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#aa9225d4dac90501b6a5f0b2b49ea2eed">release</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#afaba3332d99634ccbacef674fc46b773">destroy</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#af07cad7e719e517472410d87f4e974ea">swap</a> (<a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a> &gt; &amp;other)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a8a5094cabd90223647525fe162e94e57">pRep</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a52f9915e259723090662cca7c3c51d52">pUseCount</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga3970484e048d1352a7e59b61186b5f2a">SharedPtrFreeMethod</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a81eed90dd7d087f03cd010167d91f33e">useFreeMethod</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Specialisation of <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to allow <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to be assigned to <a class="el" href="classOgre_1_1GLESTexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to GLESTexturePtr.">GLESTexturePtr</a>. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Has to be a subclass since we need operator=. We could templatise this instead of repeating per <a class="el" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a> subclass, except to do so requires a form VC6 does not support i.e. ResourceSubclassPtr&lt;T&gt; : public SharedPtr&lt;T&gt; </dd></dl>

<p>Definition at line <a class="el" href="OgreGLESTexture_8h_source.html#l00107">107</a> of file <a class="el" href="OgreGLESTexture_8h_source.html">OgreGLESTexture.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a09c72b6fda60a0ec0d0d8eb061a55e01"></a><!-- doxytag: member="Ogre::GLESTexturePtr::GLESTexturePtr" ref="a09c72b6fda60a0ec0d0d8eb061a55e01" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESTexturePtr.html#a09c72b6fda60a0ec0d0d8eb061a55e01">Ogre::GLESTexturePtr::GLESTexturePtr</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESTexture_8h_source.html#l00110">110</a> of file <a class="el" href="OgreGLESTexture_8h_source.html">OgreGLESTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="afd5fbfb2f6db1ef2997aa0716840ec29"></a><!-- doxytag: member="Ogre::GLESTexturePtr::GLESTexturePtr" ref="afd5fbfb2f6db1ef2997aa0716840ec29" args="(GLESTexture *rep)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESTexturePtr.html#a09c72b6fda60a0ec0d0d8eb061a55e01">Ogre::GLESTexturePtr::GLESTexturePtr</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a> *&#160;</td>
          <td class="paramname"><em>rep</em></td><td>)</td>
          <td><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESTexture_8h_source.html#l00111">111</a> of file <a class="el" href="OgreGLESTexture_8h_source.html">OgreGLESTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5f9c0e883b0169f0b0177980554a37a8"></a><!-- doxytag: member="Ogre::GLESTexturePtr::GLESTexturePtr" ref="a5f9c0e883b0169f0b0177980554a37a8" args="(const GLESTexturePtr &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESTexturePtr.html#a09c72b6fda60a0ec0d0d8eb061a55e01">Ogre::GLESTexturePtr::GLESTexturePtr</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1GLESTexturePtr.html">GLESTexturePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESTexture_8h_source.html#l00112">112</a> of file <a class="el" href="OgreGLESTexture_8h_source.html">OgreGLESTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a271c761f457de0a0d64a1cf2d24e58a8"></a><!-- doxytag: member="Ogre::GLESTexturePtr::GLESTexturePtr" ref="a271c761f457de0a0d64a1cf2d24e58a8" args="(const ResourcePtr &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESTexturePtr.html#a09c72b6fda60a0ec0d0d8eb061a55e01">Ogre::GLESTexturePtr::GLESTexturePtr</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__Resources.html#ga4697cc0c72aef3b488c7e058adf734ed">ResourcePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESTexture_8h_source.html#l00114">114</a> of file <a class="el" href="OgreGLESTexture_8h_source.html">OgreGLESTexture.h</a>.</p>

<p>References <a class="el" href="OgreSharedPtr_8h_source.html#l00180">Ogre::SharedPtr&lt; T &gt;::getPointer()</a>, <a class="el" href="OgrePrerequisites_8h.html#acf02af48b9d015cd2f0c10e22466c73a">OGRE_COPY_AUTO_SHARED_MUTEX</a>, <a class="el" href="OgrePrerequisites_8h.html#a8a4683cdaf73994ea7ec391c1ba82b60">OGRE_LOCK_MUTEX</a>, <a class="el" href="OgrePrerequisites_8h.html#a2201eef4cf31a94b24d79de6de3445af">OGRE_MUTEX_CONDITIONAL</a>, and <a class="el" href="OgreSharedPtr_8h_source.html#l00178">Ogre::SharedPtr&lt; T &gt;::useCountPointer()</a>.</p>

</div>
</div>
<a class="anchor" id="a8e62ababe7f8e12a1d8ac78409c41dfe"></a><!-- doxytag: member="Ogre::GLESTexturePtr::GLESTexturePtr" ref="a8e62ababe7f8e12a1d8ac78409c41dfe" args="(const TexturePtr &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESTexturePtr.html#a09c72b6fda60a0ec0d0d8eb061a55e01">Ogre::GLESTexturePtr::GLESTexturePtr</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1TexturePtr.html">TexturePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESTexture_8h_source.html#l00130">130</a> of file <a class="el" href="OgreGLESTexture_8h_source.html">OgreGLESTexture.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ac8d90e023455dc3299f48722e6068e4a"></a><!-- doxytag: member="Ogre::GLESTexturePtr::bind" ref="ac8d90e023455dc3299f48722e6068e4a" args="(GLESTexture *rep, SharedPtrFreeMethod inFreeMethod=SPFM_DELETE)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#ac8d90e023455dc3299f48722e6068e4a">bind</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a>  *&#160;</td>
          <td class="paramname"><em>rep</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__General.html#ga3970484e048d1352a7e59b61186b5f2a">SharedPtrFreeMethod</a>&#160;</td>
          <td class="paramname"><em>inFreeMethod</em> = <code>SPFM_DELETE</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Binds rep to the SharedPtr. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Assumes that the SharedPtr is uninitialised! </dd></dl>

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00167">167</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="afaba3332d99634ccbacef674fc46b773"></a><!-- doxytag: member="Ogre::GLESTexturePtr::destroy" ref="afaba3332d99634ccbacef674fc46b773" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#afaba3332d99634ccbacef674fc46b773">destroy</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00223">223</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2d8365d61e610b98e0d36d514ab29017"></a><!-- doxytag: member="Ogre::GLESTexturePtr::freeMethod" ref="a2d8365d61e610b98e0d36d514ab29017" args="() const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga3970484e048d1352a7e59b61186b5f2a">SharedPtrFreeMethod</a> <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#a2d8365d61e610b98e0d36d514ab29017">freeMethod</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00181">181</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2c3ed4a7b5574c4e53adec450fd537b0"></a><!-- doxytag: member="Ogre::GLESTexturePtr::get" ref="a2c3ed4a7b5574c4e53adec450fd537b0" args="() const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a> * <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#a2c3ed4a7b5574c4e53adec450fd537b0">get</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00161">161</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="a15e055008751a7c20bdde38662d5f0a1"></a><!-- doxytag: member="Ogre::GLESTexturePtr::getPointer" ref="a15e055008751a7c20bdde38662d5f0a1" args="() const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a> * <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#a15e055008751a7c20bdde38662d5f0a1">getPointer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00180">180</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8a223db784efd7aa766792649de2f2a0"></a><!-- doxytag: member="Ogre::GLESTexturePtr::isNull" ref="a8a223db784efd7aa766792649de2f2a0" args="(void) const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#a8a223db784efd7aa766792649de2f2a0">isNull</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00183">183</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6c7563f3047bcd454dffae2b297a87a1"></a><!-- doxytag: member="Ogre::GLESTexturePtr::operator*" ref="a6c7563f3047bcd454dffae2b297a87a1" args="() const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a> &amp; <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a>  &gt;::operator* </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00159">159</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="a756cec152c2db605fe7424da7f8e879b"></a><!-- doxytag: member="Ogre::GLESTexturePtr::operator&#45;&gt;" ref="a756cec152c2db605fe7424da7f8e879b" args="() const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a> * <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a>  &gt;::operator-&gt; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00160">160</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9d587745ed50f5f01f245e5f66a1fa2c"></a><!-- doxytag: member="Ogre::GLESTexturePtr::operator=" ref="a9d587745ed50f5f01f245e5f66a1fa2c" args="(const ResourcePtr &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESTexturePtr.html">GLESTexturePtr</a>&amp; Ogre::GLESTexturePtr::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__Resources.html#ga4697cc0c72aef3b488c7e058adf734ed">ResourcePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Operator used to convert a ResourcePtr to a <a class="el" href="classOgre_1_1GLESTexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to GLESTexturePtr.">GLESTexturePtr</a>. </p>

<p>Definition at line <a class="el" href="OgreGLESTexture_8h_source.html#l00136">136</a> of file <a class="el" href="OgreGLESTexture_8h_source.html">OgreGLESTexture.h</a>.</p>

<p>References <a class="el" href="OgreSharedPtr_8h_source.html#l00180">Ogre::SharedPtr&lt; T &gt;::getPointer()</a>, <a class="el" href="OgreSharedPtr_8h_source.html#l00183">Ogre::SharedPtr&lt; T &gt;::isNull()</a>, <a class="el" href="OgrePrerequisites_8h.html#acf02af48b9d015cd2f0c10e22466c73a">OGRE_COPY_AUTO_SHARED_MUTEX</a>, <a class="el" href="OgrePrerequisites_8h.html#a8a4683cdaf73994ea7ec391c1ba82b60">OGRE_LOCK_MUTEX</a>, <a class="el" href="OgrePrerequisites_8h.html#a2201eef4cf31a94b24d79de6de3445af">OGRE_MUTEX_CONDITIONAL</a>, and <a class="el" href="OgreSharedPtr_8h_source.html#l00178">Ogre::SharedPtr&lt; T &gt;::useCountPointer()</a>.</p>

</div>
</div>
<a class="anchor" id="a7183f3bed442d0d2fd569b161ee6b4ca"></a><!-- doxytag: member="Ogre::GLESTexturePtr::operator=" ref="a7183f3bed442d0d2fd569b161ee6b4ca" args="(const TexturePtr &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESTexturePtr.html">GLESTexturePtr</a>&amp; Ogre::GLESTexturePtr::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1TexturePtr.html">TexturePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Operator used to convert a <a class="el" href="classOgre_1_1TexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to TexturePtr.">TexturePtr</a> to a <a class="el" href="classOgre_1_1GLESTexturePtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to GLESTexturePtr.">GLESTexturePtr</a>. </p>

<p>Definition at line <a class="el" href="OgreGLESTexture_8h_source.html#l00165">165</a> of file <a class="el" href="OgreGLESTexture_8h_source.html">OgreGLESTexture.h</a>.</p>

<p>References <a class="el" href="OgreSharedPtr_8h_source.html#l00180">Ogre::SharedPtr&lt; T &gt;::getPointer()</a>, <a class="el" href="OgreSharedPtr_8h_source.html#l00183">Ogre::SharedPtr&lt; T &gt;::isNull()</a>, <a class="el" href="OgrePrerequisites_8h.html#acf02af48b9d015cd2f0c10e22466c73a">OGRE_COPY_AUTO_SHARED_MUTEX</a>, <a class="el" href="OgrePrerequisites_8h.html#a8a4683cdaf73994ea7ec391c1ba82b60">OGRE_LOCK_MUTEX</a>, <a class="el" href="OgrePrerequisites_8h.html#a2201eef4cf31a94b24d79de6de3445af">OGRE_MUTEX_CONDITIONAL</a>, and <a class="el" href="OgreSharedPtr_8h_source.html#l00178">Ogre::SharedPtr&lt; T &gt;::useCountPointer()</a>.</p>

</div>
</div>
<a class="anchor" id="aa9225d4dac90501b6a5f0b2b49ea2eed"></a><!-- doxytag: member="Ogre::GLESTexturePtr::release" ref="aa9225d4dac90501b6a5f0b2b49ea2eed" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#aa9225d4dac90501b6a5f0b2b49ea2eed">release</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00197">197</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae23c79e49621afdb17fc32f30519859f"></a><!-- doxytag: member="Ogre::GLESTexturePtr::setNull" ref="ae23c79e49621afdb17fc32f30519859f" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#ae23c79e49621afdb17fc32f30519859f">setNull</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00185">185</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="af07cad7e719e517472410d87f4e974ea"></a><!-- doxytag: member="Ogre::GLESTexturePtr::swap" ref="af07cad7e719e517472410d87f4e974ea" args="(SharedPtr&lt; GLESTexture &gt; &amp;other)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#af07cad7e719e517472410d87f4e974ea">swap</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a>  &gt; &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00247">247</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="acd2b97578b72dd4abc33471a93ca4b91"></a><!-- doxytag: member="Ogre::GLESTexturePtr::unique" ref="acd2b97578b72dd4abc33471a93ca4b91" args="() const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#acd2b97578b72dd4abc33471a93ca4b91">unique</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00176">176</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="a29e90ed7b4339cce1cc7e6be919e78bb"></a><!-- doxytag: member="Ogre::GLESTexturePtr::useCount" ref="a29e90ed7b4339cce1cc7e6be919e78bb" args="() const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#a29e90ed7b4339cce1cc7e6be919e78bb">useCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00177">177</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="a21c3410c03ec3a4647c7aaa8e59d535d"></a><!-- doxytag: member="Ogre::GLESTexturePtr::useCountPointer" ref="a21c3410c03ec3a4647c7aaa8e59d535d" args="() const" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int* <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#a21c3410c03ec3a4647c7aaa8e59d535d">useCountPointer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00178">178</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a8a5094cabd90223647525fe162e94e57"></a><!-- doxytag: member="Ogre::GLESTexturePtr::pRep" ref="a8a5094cabd90223647525fe162e94e57" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a> * <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#a8a5094cabd90223647525fe162e94e57">pRep</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00063">63</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="a52f9915e259723090662cca7c3c51d52"></a><!-- doxytag: member="Ogre::GLESTexturePtr::pUseCount" ref="a52f9915e259723090662cca7c3c51d52" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int* <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#a52f9915e259723090662cca7c3c51d52">pUseCount</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00064">64</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<a class="anchor" id="a81eed90dd7d087f03cd010167d91f33e"></a><!-- doxytag: member="Ogre::GLESTexturePtr::useFreeMethod" ref="a81eed90dd7d087f03cd010167d91f33e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga3970484e048d1352a7e59b61186b5f2a">SharedPtrFreeMethod</a> <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; <a class="el" href="classOgre_1_1GLESTexture.html">GLESTexture</a>  &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#a81eed90dd7d087f03cd010167d91f33e">useFreeMethod</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSharedPtr_8h_source.html#l00065">65</a> of file <a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLESTexture_8h_source.html">OgreGLESTexture.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:26
</p>
</body>
</html>
